pcl::ModelCoefficients Struct Reference

`#include <pcl/ModelCoefficients.h>`

## Public Types

typedef boost::shared_ptr< ::pcl::ModelCoefficients > | Ptr
typedef boost::shared_ptr< ::pcl::ModelCoefficients const > | ConstPtr

## Public Member Functions

| ModelCoefficients ()

## Public Attributes

::pcl::PCLHeader | header
std::vector< float > | values

## Detailed Description

Definition at line 12 of file ModelCoefficients.h.

## Member Typedef Documentation

typedef boost::shared_ptr< ::pcl::ModelCoefficients const> pcl::ModelCoefficients::ConstPtr

Definition at line 24 of file ModelCoefficients.h.

typedef boost::shared_ptr< ::pcl::ModelCoefficients> pcl::ModelCoefficients::Ptr

Definition at line 23 of file ModelCoefficients.h.

## Constructor & Destructor Documentation

pcl::ModelCoefficients::ModelCoefficients | ( |  | ) |

inline

Definition at line 14 of file ModelCoefficients.h.

## Member Data Documentation

::pcl::PCLHeader pcl::ModelCoefficients::header

Definition at line 18 of file ModelCoefficients.h.

Referenced by pcl::SACSegmentation< PointT >::segment().

std::vector<float> pcl::ModelCoefficients::values

Definition at line 20 of file ModelCoefficients.h.

Referenced by pcl::PlaneRefinementComparator< PointT, PointNT, PointLT >::compare(), pcl::people::PersonCluster< PointT >::drawTBoundingBox(), pcl::ModelOutlierRemoval< PointT >::getModelCoefficients(), pcl::lineWithLineIntersection(), pcl::OrganizedMultiPlaneSegmentation< PointT, PointNT, PointLT >::segment(), pcl::SACSegmentation< PointT >::segment(), pcl::PlanarPolygon< PointT >::setCoefficients(), and pcl::ModelOutlierRemoval< PointT >::setModelCoefficients().

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/ModelCoefficients.h